<?php

namespace CouponsPlus\App\Coupon\Tree\Branches;

use CouponsPlus\App\Coupon\Tree\Abilities\Branch;
use CouponsPlus\App\Offers\Offer;
use CouponsPlus\Original\Characters\StringManager;
use CouponsPlus\Original\Collections\Collection;

/**
 * This seems @deprecated
 * @deprecated
 */
class OffersBranch implements Branch
{
    private $offers;

    const TYPE = 'offers';

    public function __construct(Offer ...$offers) 
    {
        $this->offers = new Collection($offers);
    }
    
    public function getChildren(): Collection
    {
        return $this->offers;
    } 

    public function getType(): StringManager
    {
        return new StringManager(static::TYPE);            
    } 
}